# Uses of Interface
org.eclipse.emf.cdo.common.branch.CDOBranchPointRange

Packages that use CDOBranchPointRange
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOBranchPointRange in org.eclipse.emf.cdo.common.commit

Subinterfaces of CDOBranchPointRange in org.eclipse.emf.cdo.common.commit
Modifier and Type
Interface
Description
`interface`
`CDOChangeSet`
The `change set data` between two `branch points` with a common ancestor.

## Uses of CDOBranchPointRange in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDOBranchPointRange
Modifier and Type
Method
Description
`CDOBranchPointRange`
CDORevisionManager.`getObjectLifetime(CDOID id, CDOBranchPoint branchPoint)`

## Uses of CDOBranchPointRange in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch that return CDOBranchPointRange
Modifier and Type
Method
Description
`static CDOBranchPointRange`
CDOBranchUtil.`createRange(CDOBranchPoint startPoint, CDOBranchPoint endPoint)`
`static CDOBranchPointRange`
CDOBranchUtil.`readRange(CDODataInput in)`
`static CDOBranchPointRange`
CDOBranchUtil.`readRangeOrNull(CDODataInput in)`
Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDOBranchPointRange
Modifier and Type
Method
Description
`static void`
CDOBranchUtil.`writeRange(CDODataOutput out, CDOBranchPointRange range)`
`static void`
CDOBranchUtil.`writeRangeOrNull(CDODataOutput out, CDOBranchPointRange range)`

## Uses of CDOBranchPointRange in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return CDOBranchPointRange
Modifier and Type
Method
Description
`CDOBranchPointRange`
DelegatingCDORevisionManager.`getObjectLifetime(CDOID id, CDOBranchPoint branchPoint)`
`CDOBranchPointRange`
InternalCDORevisionManager.RevisionLoader2.`loadObjectLifetime(CDOID id, CDOBranchPoint branchPoint)`

## Uses of CDOBranchPointRange in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOBranchPointRange
Modifier and Type
Method
Description
`static CDOBranchPointRange`
CDOUtil.`getLifetime(CDOObject object)`

## Uses of CDOBranchPointRange in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOBranchPointRange
Modifier and Type
Method
Description
`CDOChangeSetData[]`
CDOSessionProtocol.`loadChangeSets(CDOBranchPointRange... ranges)`